## tree-sitter 0.20.1

=== debian/changelog ===
tree-sitter (0.20.1-1) unstable; urgency=medium

  * New upstream release
  * Bump copyright years
  * Update libtree-sitter0.symbols

 -- James McCoy <jamessan@debian.org>  Mon, 20 Dec 2021 14:59:34 -0500
