=== debian/changelog ===
tree-sitter (0.20.3-1) unstable; urgency=medium

  * New upstream release
  * libtree-sitter0.symbols: Add/remove functions for 0.20.3

 -- James McCoy <jamessan@debian.org>  Sat, 29 Jan 2022 13:05:52 -0500
