=== debian/control ===
Source: tree-sitter
Priority: optional
Maintainer: Tree-sitter Maintainers <team+tree-sitter@tracker.debian.org>
Uploaders:
 James McCoy <jamessan@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.0
Section: libs
Homepage: https://tree-sitter.github.io/tree-sitter/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/tree-sitter-team/tree-sitter.git
Vcs-Browser: https://salsa.debian.org/tree-sitter-team/tree-sitter

Package: libtree-sitter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libtree-sitter0 (= ${binary:Version}),
 ${misc:Depends},
Description: incremental parsing system for programming tools (development files)
 Tree-sitter is a parser generator tool and an incremental parsing library. It
 can build a concrete syntax tree for a source file and efficiently update the
 syntax tree as the source file is edited.
 .
 Tree-sitter aims to be:
 .
  * General enough to parse any programming language
  * Fast enough to parse on every keystroke in a text editor
  * Robust enough to provide useful results even in the presence of
    syntax errors
  * Dependency-free so that the runtime library (which is written in pure
    C) can be embedded in any application
 .
 This package contains the header files and libraries needed for developing
 with tree-sitter.

Package: libtree-sitter0
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: incremental parsing system for programming tools
 Tree-sitter is a parser generator tool and an incremental parsing library. It
 can build a concrete syntax tree for a source file and efficiently update the
 syntax tree as the source file is edited.
