=== debian/watch ===
version=4
opts=filenamemangle=s/.*?([0-9.]+)\.tar\.gz/tree-sitter-$1.tar.gz/ \
https://github.com/tree-sitter/tree-sitter/releases/ (?:.*/)?v?([0-9.]+)\.tar\.gz
