## tree-sitter 0.20.6

=== debian/changelog ===
tree-sitter (0.20.6-1) unstable; urgency=medium

  * New upstream release

 -- James McCoy <jamessan@debian.org>  Tue, 29 Mar 2022 07:18:48 -0400
