## tree-sitter 0.20.7

=== debian/changelog ===
tree-sitter (0.20.7-1) unstable; urgency=medium

  * New upstream release
  * Update symbols for 0.20.7
  * Declare compliance with Policy 4.6.1, no changes needed
  * watch: use mode=git instead of scraping the releases page

 -- James McCoy <jamessan@debian.org>  Tue, 15 Nov 2022 07:19:34 -0500
