=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  James McCoy <jamessan@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://tree-sitter.github.io/tree-sitter/
 Rules-Requires-Root: no
