=== debian/watch ===
version=4
opts=mode=git \
https://github.com/tree-sitter/tree-sitter.git refs/tags/v@ANY_VERSION@
